<div class="site-branding">
    <div class="site-branding-inner">
		<?php
		if ( has_custom_logo() ) :
			/*
			 * Image based logo
			 */
			the_custom_logo();
		else :
			/*
			 * Text based logo
			 */
			if ( is_front_page() || is_home() ) : ?>
                <h1 class="site-title">
                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
                </h1>
				<?php
			else :
				?>
                <h2 class="site-title">
                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
                </h2>
				<?php
			endif;
		endif;
		?>
    </div>
</div><!-- .site-branding -->